import { HttpClient } from '@wix/sdk-types';
import { BookingsAppSettings, BookingsAppSettingsNonNullableFields, CreateBookingsAppSettingsOptions, GetBookingsAppSettingsOptions, UpdateBookingsAppSettingsOptions } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
/** @internal */
export declare function createBookingsAppSettings(httpClient: HttpClient): CreateBookingsAppSettingsSignature;
interface CreateBookingsAppSettingsSignature {
    /**
     * Creates a BookingsAppSettings.
     * @param - BookingsAppSettings to be created.
     * @returns The created BookingsAppSettings.
     */
    (bookingsAppSettings: BookingsAppSettings, options?: CreateBookingsAppSettingsOptions | undefined): Promise<BookingsAppSettings & BookingsAppSettingsNonNullableFields>;
}
/** @internal */
export declare function getBookingsAppSettings(httpClient: HttpClient): GetBookingsAppSettingsSignature;
interface GetBookingsAppSettingsSignature {
    /**
     * Retrieves a BookingsAppSettings.
     * @returns The requested BookingsAppSettings.
     */
    (options?: GetBookingsAppSettingsOptions | undefined): Promise<BookingsAppSettings & BookingsAppSettingsNonNullableFields>;
}
/** @internal */
export declare function updateBookingsAppSettings(httpClient: HttpClient): UpdateBookingsAppSettingsSignature;
interface UpdateBookingsAppSettingsSignature {
    /**
     * Updates a BookingsAppSettings.
     *
     * Each time the BookingsAppSettings is updated,  `revision` increments by 1.
     * The current `revision` must be passed when updating the BookingsAppSettings.
     * This ensures you're working with the latest BookingsAppSettings  and prevents unintended overwrites.
     * @param - BookingsAppSettings to be updated, may be partial.
     * @returns Updated BookingsAppSettings.
     */
    (bookingsAppSettings: BookingsAppSettings, options?: UpdateBookingsAppSettingsOptions | undefined): Promise<BookingsAppSettings & BookingsAppSettingsNonNullableFields>;
}
export { ActionEvent, Address, AddressHint, BookingsAppSettings, BookingsAppSettingsNonNullableFields, CartCheckoutSettings, ClientTimeZoneSettings, CreateBookingsAppSettingsOptions, CreateBookingsAppSettingsRequest, CreateBookingsAppSettingsResponse, CreateBookingsAppSettingsResponseNonNullableFields, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, Feature, Features, GeoCoordinates, GetBookingsAppSettingsOptions, GetBookingsAppSettingsRequest, GetBookingsAppSettingsResponse, GetBookingsAppSettingsResponseNonNullableFields, IdentificationData, IdentificationDataIdOneOf, Locale, MessageEnvelope, MultiServicesAppointmentsSettings, PlacementType, RequestedFields, RestoreInfo, SiteProperties, TimeZoneSource, UpdateBookingsAppSettingsOptions, UpdateBookingsAppSettingsRequest, UpdateBookingsAppSettingsResponse, UpdateBookingsAppSettingsResponseNonNullableFields, WebhookIdentityType, } from './bookings-v2-bookings-app-settings-app-settings.universal.js';
